<?php
/**
 * Returns serialized array of png, gif, jpg images with md5 as array key.
 *
 * @author Egor Chernodarov <echernodarov@parallels.com>
 * @since 2012/06/26
 * @package Utils
 * @copyright (c) 2004-2012. Parallels IP Holdings GmbH. All rights reserved.
 */

function php4ScanDir($dir, $listDirectories = false, $skipDots = true) {
	$dirArray = array();
	if ($handle = opendir($dir)) {
		while (false !== ($file = readdir($handle))) {
			if (($file != '.' && $file != '..') || $skipDots == true) {
				if ($listDirectories == false && is_dir($file)) {
					continue;
				}
				array_push($dirArray, basename($file));
			}
		}
		closedir($handle);
	}
	return $dirArray;
}

function find_all_files($dir) {
	$root = php4ScanDir($dir, true);
	$result = array();
	foreach ($root as $value) {
		if ($value === '.' || $value === '..') {
			continue;
		}
		$filename = "$dir/$value";
		if (is_dir($filename)) {
			$result = array_merge_recursive($result, find_all_files($filename));
			continue;
		}
		if (fnmatch('*.jpg', $filename) || fnmatch('*.png', $filename) || fnmatch('*.gif', $filename)
				|| $value == 'content.safe') {
			$result[md5_file($filename)][] = $filename;
		}
	}
	return $result;
}

if (php_sapi_name() != 'cli') {
	echo serialize(find_all_files('.'));
}